<?php

namespace App\Http\Controllers\Vendor;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Auth;
use App\Models\Order;
use App\Models\VendorOrder;
use App\Models\Shipping;

class OrderController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $user = Auth::user();
        $orders = VendorOrder::where('user_id','=',$user->id)->orderBy('id','desc')->get()->groupBy('order_number');
        return view('vendor.order.index',compact('user','orders'));
    }

    public function show($slug)
    {
        $user = Auth::user();
        $order = Order::where('order_number','=',$slug)->first();
        $cart = json_decode($order->cart,true);
        return view('vendor.order.details',compact('user','order','cart'));
    }

    public function license(Request $request, $slug)
    {
        $order = Order::where('order_number','=',$slug)->first();
       $cart = json_decode($order->cart,true);
        $cart->items[$request->license_key]['license'] = $request->license;
        $order->cart = utf8_encode(bzcompress(serialize($cart), 9));
        $order->update();
        $msg = 'Successfully Changed The License Key.';
        return response()->json($msg);
    }



    public function invoice($slug)
    {
        $user = Auth::user();
        $order = Order::where('order_number','=',$slug)->first();
        $cart = json_decode($order->cart,true);
        return view('vendor.order.invoice',compact('user','order','cart'));
    }

    public function printpage($slug)
    {
        $user = Auth::user();
        $order = Order::where('order_number','=',$slug)->first();
        $cart = json_decode($order->cart,true);
        return view('vendor.order.print',compact('user','order','cart'));
    }

    public function status($slug,$status)
    {
        $mainorder = VendorOrder::where('order_number','=',$slug)->first();
        if ($mainorder->status == "completed"){
            return redirect()->back()->with('success','This Order is Already Completed');
        }else{
        $user = Auth::user();
        $order = Order::where('order_number', '=', $slug)->first();
                if ($status == "processing") {
                $tracking_code = "";
                    $store_Address[0] = (object)['shop_name' => 'ALADIL CO', "shop_address" => "111 Sri-Phang-Nga Rd.,Tumbon Krabi-Yai, Muang Krabi,Krabi Province 81000 Thailand", "state" => "Tumbon Krabi-Yai", "district" => "Muang Krabi", "province" => "Krabi Province", "postcode" => "81000", "tel" => "075-632123"];

                    try {
                        $state = isset($store_Address[0]->state) ? $store_Address[0]->state : "-";
                        $district = isset($store_Address[0]->district) ? $store_Address[0]->district : "-";
                        $provinces = isset($store_Address[0]->province) ? $store_Address[0]->province : "-";
                        $postcode = isset($store_Address[0]->postcode) ? $store_Address[0]->postcode : "-";
                        $tel = isset($store_Address[0]->tel) ? $store_Address[0]->tel : "-";
                        $shippings = Shipping::find(3);
                        $curl = curl_init();
                        $curl = curl_init();
                        curl_setopt_array($curl, array(
                            // CURLOPT_URL => 'http://mkpservice.moaee.com/pricelist/',
                            CURLOPT_URL => 'https://mkpservice.shippop.dev/booking/',
                            CURLOPT_RETURNTRANSFER => true,
                            CURLOPT_ENCODING => '',
                            CURLOPT_MAXREDIRS => 10,
                            CURLOPT_TIMEOUT => 0,
                            CURLOPT_FOLLOWLOCATION => true,
                            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                            CURLOPT_CUSTOMREQUEST => 'POST',
                            CURLOPT_POSTFIELDS => '{
                                            "api_key": "' . $shippings->api_key . '",
                                            "email": "' . $order->customer_email . '",
                                            "url": {
                                                "success": "http:\/\/shippop.com\/?success",
                                                "fail": "http:\/\/shippop.com\/?fail"
                                            },
                                            "data": [
                                    {
                                        "from": {
                                            "name": "' . $store_Address[0]->shop_name . '",
                                            "address": "' . $store_Address[0]->shop_address . '",
                                            "state": "' . $state . '",
                                            "district": "' . $district . '",
                                            "province":"' . $provinces . '",
                                            "postcode": "' . $postcode . '",
                                            "tel": "' . $tel . '"
                                        },
                                        "to": {
                                            "name": "' . $order->customer_name . '",
                                            "address": "' . $order->customer_address . '",
                                            "state": "' . $order->customer_state . '",
                                            "district": "' . $order->customer_city . '",
                                            "province":"' . $order->customer_province . '",
                                            "postcode": "' . $order->customer_zip . '",
                                            "tel": "' . $order->customer_name . '"
                                        },
                                        "parcel": {
                                            "name": "ALADIL",
                                            "weight": "1",
                                            "width": "1",
                                            "length": "1",
                                            "height": "1"
                                        },
                                        "courier_code": "' . $order->ship_type . '"
                                    }
                                ]
                            }',
                            CURLOPT_HTTPHEADER => array(
                                'Content-Type: application/json',
                            ),
                        ));
                        $response = curl_exec($curl);
                        $error_msg = "";
                        if (curl_errno($curl)) {
                            $error_msg = curl_error($curl);
                        }
                        curl_close($curl);
                        $datas = json_decode($response);
                        $delivery_1 = (array)$datas->data;
                        $delivery_2 = (array)$delivery_1[0];
                        $tracking_code = $delivery_2['tracking_code'];


                    } catch (\Exception $e) {
                        // return response()->json(['status' => true, 'data' => [], 'error' => ['message' => $e->getMessage()]]);
                    }

                    $order = Order::where('order_number', '=', $slug)->update(['shippop_order_number' => $tracking_code,'status' => $status]);
                    $order = VendorOrder::where('order_number', '=', $slug)->where('user_id', '=', $user->id)->update(['status' => $status]);
                }else{
                    $order = VendorOrder::where('order_number', '=', $slug)->where('user_id', '=', $user->id)->update(['status' => $status]);
                }
        $order = VendorOrder::where('order_number','=',$slug)->where('user_id','=',$user->id)->update(['status' => $status]);
        return redirect()->route('vendor-order-index')->with('success','Order Status Updated Successfully');
    }
    }

}
