@extends('layouts.admin')

@section('content')
    <input type="hidden" id="headerdata" value="{{ __('Inventory') }}">
    <div class="content-area">
        <div class="mr-breadcrumb">
            <div class="row">
                <div class="col-lg-12">
                    <h4 class="heading">{{ __('Inventory') }}</h4>
                    <ul class="links">
                        <li>
                            <a href="{{ route('admin.dashboard') }}">{{ __('Dashboard') }} </a>
                        </li>
                        <li>
                            <a href="javascript:;">{{ __('Inventory') }} </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="product-area">
            <div class="row">
                <div class="col-lg-12">
                    <div class="mr-table allproduct">

                        @include('includes.admin.form-success')
                        <div class="table-responsiv">
                            <table id="geniustable" class="table table-hover dt-responsive" cellspacing="0" width="100%">
                                <thead>
                                    <tr>
                                        <th>{{ __('Date') }}</th>
                                        <th>{{ __('Supplier') }}</th>
                                        <th>{{ __('Name') }}</th>
                                        <th>{{ __('Code') }}</th>
                                        <th>{{ __('Batch No') }}</th>
                                        <th>{{ __('Quantity') }}</th>
                                        <th>{{ __('Expiry Date') }}</th>
                                        <th>{{ __('Net Unit Cost') }}</th>
                                        <th>{{ __('Discount Recived') }}</th>
                                        <th>{{ __('Notes') }}</th>
                                        <th>{{ __('Add Notes') }}</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {{-- Quantity Update MODAL --}}
    <div style="display: none" id="inventory_form" class="modal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <a class="close" data-dismiss="modal">×</a>
                    <div class="col-md-12 text-center">
                        <h3 class="">Inventory Form</h3>
                    </div>
                </div>
                <form id="inventoryForm" name="inventory_form" role="form">
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="name">Supplier Name</label>
                            <input type="text" name="product_owner_name" id="product_owner_name" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="email">Product Name</label>
                            <input type="text" name="product_name" id="product_name" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="email">Product Code</label>
                            <input type="text" name="product_code" id="product_code" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="email">Product Expiry Date</label>
                            <input type="date" name="product_expiry_date" id="product_expiry_date" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="email">Product Quantity</label>
                            <input type="number" name="product_quantity" id="product_quantity" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="email">Product Net Price</label>
                            <input type="text" name="product_net_cost" id="product_net_cost" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="email">Product Discount Price</label>
                            <input type="text" name="product_discount_price" id="product_discount_price"
                                class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="message">Notes</label>
                            <textarea name="product_notes" id="product_notes" class="form-control"></textarea>
                        </div>

                        <input type="hidden" name="product_id" id="product_id">
                    </div>
                    <div class="modal-footer">
                        <div class="col-md-12 text-center">
                            <button type="submit" class="btn btn-primary">Submit</button>
                            <button type="button" id="inventoryFormClose" class="btn btn-warning">Cancel</button>
                        </div>
                    </div>
            </div>
            </form>
        </div>
    </div>
    </div>

    {{-- Quantity Update MODAL ENDS --}}
@endsection



@section('scripts')
    {{-- DATA TABLE --}}
    <script type="text/javascript">
        var table = $('#geniustable').DataTable({
            ordering: false,
            processing: true,
            serverSide: true,
            ajax: '{{ route('admin-invnentory-datatables') }}',
            columns: [{
                    data: 'date',
                    name: 'date'
                },
                {
                    data: 'supplier',
                    name: 'supplier'
                },
                {
                    data: 'product_name',
                    name: 'product_name'
                },
                {
                    data: 'code',
                    name: 'code'
                },
                {
                    data: 'batch_no',
                    name: 'batch_no'
                },
                {
                    data: 'quantity',
                    name: 'quantity'
                },
                {
                    data: 'expiry_date',
                    name: 'expiry_date'
                },
                {
                    data: 'net_unity_cost',
                    name: 'net_unity_cost'
                },
                {
                    data: 'discound_recived',
                    name: 'discound_recived'
                },
                {
                    data: 'notes',
                    name: 'notes'
                },
                {
                    data: 'action',
                    searchable: false,
                    orderable: false
                }
            ],
            language: {
                processing: '<img src="{{ asset('assets/images/' . $gs->admin_loader) }}">'
            },
            drawCallback: function(settings) {
                $('.select').niceSelect();
                inventory_edit();
            }
        });

        {{-- DATA TABLE ENDS --}}

        // inventory update
        document.querySelector("#inventoryForm").addEventListener("submit", function inventory_update(e) {
            e.preventDefault();
            // datas field to be updated
            let product_owner_name = document.querySelector("#product_owner_name").value;
            let product_name = document.querySelector("#product_name").value;
            let product_code = document.querySelector("#product_code").value;
            let product_expiry_date = document.querySelector("#product_expiry_date").value;
            let product_net_cost = document.querySelector("#product_net_cost").value;
            let product_discount_price = document.querySelector("#product_discount_price").value;
            let product_notes = document.querySelector("#product_notes").value;
            let product_quantity = document.querySelector("#product_quantity").value;
            let product_id = document.querySelector("#product_id").value;
            if (product_id != "" && product_name != "" && product_code != "" && product_net_cost != "" &&
                product_quantity != "" && product_discount_price != "" && product_notes != "") {
                fetch("{{ route('admin-inventory-update') }}", {
                    method: "POST",
                    body: JSON.stringify({
                        "product_id": product_id,
                        "product_owner_name": product_owner_name,
                        "product_name": product_name,
                        "product_code": product_code,
                        "product_quantity": product_quantity,
                        "product_expiry_date": product_expiry_date,
                        "product_net_cost": product_net_cost,
                        "product_discount_price": product_discount_price,
                        "product_notes": product_notes,
                        "_token": "{{ csrf_token() }}",
                    }),
                    headers: {
                        "Content-type": "application/json; charset=UTF-8"
                    }
                }).then((result) => {
                    return result.json();
                }).then((res) => {
                    if (res['product_response'] == "1" && res['status'] == 200) {
                        document.querySelector("#inventory_form").style.display = "none";
                        window.location.reload();
                    };
                }).catch((err) => {
                    console.error(err);
                });
            } else {
                alert("Please Fill all the filds before submmiting the form");
            }
        })
        // invetory edit
        function inventory_edit(id = "") {
            if (id != "") {
                let product_id = id;

                // datas field to be edited
                let product_owner_name = document.querySelector("#product_owner_name");
                let product_name = document.querySelector("#product_name");
                let product_code = document.querySelector("#product_code");
                let product_expiry_date = document.querySelector("#product_expiry_date");
                let product_net_cost = document.querySelector("#product_net_cost");
                let product_discount_price = document.querySelector("#product_discount_price");
                let product_notes = document.querySelector("#product_notes");
                let product_quantity = document.querySelector("#product_quantity");
                let product_id_edit = document.querySelector("#product_id");

                fetch("{{ route('admin-inventory-edit') }}", {
                    method: "POST",
                    body: JSON.stringify({
                        "product_id": product_id,
                        "_token": "{{ csrf_token() }}",
                    }),
                    headers: {
                        "Content-type": "application/json; charset=UTF-8"
                    }
                }).then((result) => {
                    return result.json();
                }).then((res) => {
                    document.querySelector("#inventory_form").style.display = "block";
                    product_owner_name.value = res.product_response['UserName'];
                    product_name.value = res.product_response['name'];
                    product_code.value = res.product_response['sku'];
                    product_expiry_date.value = "null";
                    product_net_cost.value = res.product_response['previous_price'];
                    product_discount_price.value = res.product_response['price'];
                    product_quantity.value = res.product_response['stock'] == null ? "0" : res.product_response[
                        'stock'];
                    product_notes.innerHTML = (res.product_response['product_notes'] != "" && res.product_response[
                        'product_notes'] != null) ? res.product_response['product_notes'] : "No Notes";
                    product_id_edit.value = res.product_response['id'];
                }).catch((err) => {
                    console.error(err);
                });
            }
        }
        
        //closing inventory form
        document.querySelector("#inventoryFormClose").addEventListener("click", () => {
            document.querySelector("#inventory_form").style.display = "none";
        })
    </script>
@endsection
